
QGIS Application - Bug report #20297

QGIS Crashed

2018-10-31 02:44 PM - Mark Faulk

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28118

Description

User Feedback

Just installed. Added QuickMapServices, Bing Maps, and Esri World Imagery. Zoomed in to test and set inagery transparancy. Worked

fine.  Sat idle for a while. Just plugged in a toaster drive to copy over some test data. Did not even start the copy and the QGIS crash

windo came up. QGIS was essentially idle. Toaster USB plug in was the only current activity.

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Associated revisions

Revision fd5a1c82 - 2018-11-01 10:32 PM - Nyall Dawson
Fix crash on Windows on idle/usb notifications

Fixes #20312, #20319, #20312, #20307, #20299, #20297, #20280

(maybe others)

Revision 4659e692 - 2018-11-01 11:54 PM - Nyall Dawson

Fix crash on Windows on idle/usb notifications

Fixes #20312, #20319, #20312, #20307, #20299, #20297, #20280

(maybe others)

(cherry picked from commit fd5a1c82ec212c58c446ccb13e537484d44b6862)

History

#1 - 2018-10-31 02:49 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

It may be that the cause is one of the plugins you installed (and sometimes is not even enough to disable them), so you should really try with no 3rd party

plugins installed > try QGIS with a new/clean profile.

#2 - 2018-11-01 10:32 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|fd5a1c82ec212c58c446ccb13e537484d44b6862.
